Bug 1418221 - "ExtManagementSystem" string in Provider policies
Summary: "ExtManagementSystem" string in Provider policies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: All
OS: All
high
medium
Target Milestone: GA
: 5.7.2
Assignee: Jozef Zigmund
QA Contact: Dmitry Misharov
URL:
Whiteboard: control:ui
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 10:06 UTC by Dmitry Misharov
Modified: 2017-04-12 14:36 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-12 14:36:59 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
Screenshot #1 (130.75 KB, image/png)
2017-02-01 10:08 UTC, Dmitry Misharov
no flags Details
Screenshot #2 (145.98 KB, image/png)
2017-02-01 10:09 UTC, Dmitry Misharov
no flags Details
Screenshot #3 (131.50 KB, image/png)
2017-02-01 10:15 UTC, Dmitry Misharov
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Description Dmitry Misharov 2017-02-01 10:06:33 UTC
Description of problem:
"Provider" policies and events have inconsistent titles in some parts of the UI.

Version-Release number of selected component (if applicable):
5.7.1.0.20170124142149_8a5f4d5 

How reproducible:
Always

Steps to Reproduce:
1. Navigate to Control->Explorer.
2. Expand policies accordion.
3. Create a Provider Compliance policy.

Actual results:
"ExtManagementSystem Compliance Check" event appeared in the tree.

Expected results:
"Provider Compliance Check" is expected.

Additional info:
String "ExtManagementSystem" can be found in other parts of the UI.

Comment 2 Dmitry Misharov 2017-02-01 10:08:11 UTC
Created attachment 1246599 [details]
Screenshot #1

"ExtManagementSystem" string in provider compliance policy.

Comment 3 Dmitry Misharov 2017-02-01 10:09:13 UTC
Created attachment 1246600 [details]
Screenshot #2

"ExtManagementSystem" in the events list.

Comment 4 Dmitry Misharov 2017-02-01 10:15:44 UTC
Created attachment 1246601 [details]
Screenshot #3

"ExtManagementSystem" in Provider Control Policy. I believe it's related to https://bugzilla.redhat.com/show_bug.cgi?id=1404463

Comment 5 Jozef Zigmund 2017-02-27 14:07:37 UTC
Hi Dmitry, I was not able to see those strings, probably already fixed? could you verify that?

Comment 6 Dmitry Misharov 2017-02-27 14:23:05 UTC
It's fixed in 5.8, but still presented in 5.7.1

Comment 7 Jozef Zigmund 2017-03-22 09:05:28 UTC
Hi Dmitry, I checked that on 5.7.z (euwe branch) and don't see the "ExtManagementSystem" but the Provider, so probably it's fixed by the BZ mentioned above. Please verify.

Comment 8 Dmitry Misharov 2017-03-23 08:19:19 UTC
Verified in 5.7.2.0.20170321181409_349f1b1.

Comment 11 errata-xmlrpc 2017-04-12 14:36:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.